
QGIS Application - Bug report #4210

Layer actions: "capture output" option is forgotten when selecting an action in the layer properties

2011-08-22 09:44 PM - Alister Hood

Status: Closed

Priority: Normal

Assignee: Giuseppe Sucameli

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14174

Description

Right-click on a vector layer->Properties->Actions

Fill in the options to create an action, including "capture output".

Click "insert action" 

Click "OK" 

Go back into the layer properties.  You will see that the checkbox in the "Capture" column is checked.

Click on the action.  You will see that "capture output" is not checked down the bottom!  It should be checked.

Change something else in the action and click "update action".  Now the checkbox is not checked in the "Capture" column.

History

#1 - 2011-08-22 11:34 PM - Alister Hood

Also see #4211

#2 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#3 - 2012-03-13 05:11 PM - Giuseppe Sucameli

- Resolution set to fixed

- Crashes QGIS or corrupts data set to No

- Status changed from Open to Closed

- Assignee set to Giuseppe Sucameli

- Affected QGIS version set to master

This was fixed in master in January (see commit:764e85b2b)
